View Issue Details

IDProjectCategoryView StatusLast Update
0009749mantisbtintegrationpublic2009-01-15 11:26
ReportervboctorAssigned Tovboctor 
PrioritynormalSeverityminorReproducibilityhave not tried
Status closedResolutionfixed 
Product Version 
Target VersionFixed in Version1.2.0a3 
Summary0009749: Integrate the IE and Firefox search plugin into Mantis out-of-the-box
Description

Sometime ago I've implemented a plugin for Firefox. This issue should make this work with both IE and Firefox and be shipped with MantisBT and auto-discovered by the browsers.

The following forum thread has some related information:
http://www.mantisbt.org/forums/viewtopic.php?f=2&t=564

TagsNo tags attached.

Activities

tmatijas

tmatijas

2008-12-06 02:18

reporter   ~0020256

Last edited: 2008-12-06 02:28

Dont forget to see http://git.mantisbt.org/?p=mantisbt.git;a=blobdiff;f=core/html_api.php;h=aeb67e43b57e55f0d14ecd75bba5b169e695f303;hb=a09b9e7c3b9c0cce7ade7c6dba57c8a0d84af669;hpb=1deafaa546e1ef4001e32d887cfc46a5ded2460e for a bugfix for localhost url..

By the way.. This search box tool works great in firefox.. but will not do anything in IE7..
I see the links in the search bar (upper right side of ie) but when i click on them, nothing happens.

Any ideas?

P.S. The patch in the above link was never applied to www.mantisbt.org

tmatijas

tmatijas

2008-12-06 02:56

reporter   ~0020257

Last edited: 2008-12-06 03:10

According to this link https://developer.mozilla.org/en/Creating_OpenSearch_plugins_for_Firefox
IE7 does support Open Search but it does not allow POST. This patch uses Get and NOT post. Additionally, I compared the syntax
to the one in the link above and everything looks ok. Maybe Im worng - Can someone else check? What else can this problem be?

P.S. The open search at the link above searches text BUT oddly yeilds an error in IE. Gotta love Microsoft
P.S2. Th base64 image does not seem to work. No image icon shown in firefox. Tried my own variants including direct link.. Still no go.

tmatijas

tmatijas

2008-12-06 03:09

reporter   ~0020259

Last edited: 2008-12-06 03:09

Hey guys. MY BAD!!! IE7 makes you "add search providers" for it to work. However, I was right about the icons..
Tried on two differnet builds of firefox on two different machines with 2 different versions of windows. Same result.

Related Changesets

MantisBT: master 2cb9d895

2008-10-27 05:54:08

vboctor

Details Diff
Fixes 0009749: Integrate the IE and Firefox search plugin into Mantis out-of-the-box

git-svn-id: http://mantisbt.svn.sourceforge.net/svnroot/mantisbt/trunk@5742 <a class="text" href="/?p=mantisbt.git;a=object;h=f5dc347c">f5dc347c</a>-c33d-0410-90a0-b07cc1902cb9
add - browser_search_plugin.php Diff File
mod - core/html_api.php Diff File

Issue History

Date Modified Username Field Change
2008-10-26 16:12 vboctor New Issue
2008-10-26 16:12 vboctor Status new => assigned
2008-10-26 16:12 vboctor Assigned To => vboctor
2008-10-27 01:55 vboctor Status assigned => resolved
2008-10-27 01:55 vboctor Fixed in Version => 1.2.2
2008-10-27 01:55 vboctor Resolution open => fixed
2008-10-27 02:15 Changeset attached master b956162c =>
2008-11-11 08:31 vboctor Changeset attached master 2cb9d895 =>
2008-11-11 08:45 vboctor Changeset attached master 2cb9d895 =>
2008-12-06 02:18 tmatijas Note Added: 0020256
2008-12-06 02:18 tmatijas Note Edited: 0020256
2008-12-06 02:26 tmatijas Note Edited: 0020256
2008-12-06 02:28 tmatijas Note Edited: 0020256
2008-12-06 02:28 tmatijas Note Edited: 0020256
2008-12-06 02:56 tmatijas Note Added: 0020257
2008-12-06 02:56 tmatijas Note Edited: 0020257
2008-12-06 02:56 tmatijas Note Edited: 0020257
2008-12-06 02:57 tmatijas Note Edited: 0020257
2008-12-06 02:57 tmatijas Note Edited: 0020257
2008-12-06 02:58 tmatijas Note Edited: 0020257
2008-12-06 03:04 tmatijas Note Edited: 0020257
2008-12-06 03:05 tmatijas Note Edited: 0020257
2008-12-06 03:09 tmatijas Note Added: 0020259
2008-12-06 03:09 tmatijas Note Edited: 0020259
2008-12-06 03:10 tmatijas Note Edited: 0020257
2008-12-30 22:00 jreese Fixed in Version 1.2.2 => 1.2.0a3
2009-01-15 11:26 jreese Status resolved => closed